Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.serialization
Class ClassLoaderUtility

    java.lang.Object
      org.jboss.remoting.serialization.ClassLoaderUtility

    public class ClassLoaderUtility

extends java.lang.Object

Author:
  Clebert Suconic

Constructor Summary
`ClassLoaderUtility()`

Method Summary
`static java.lang.Class` | `loadClass(java.lang.Class clazz, java.lang.String classname)` Tries to load the class from the passed class' classloader, then current thread's context class loader.
`static java.lang.Class` | `loadClass(java.lang.String classname, java.lang.Class clazz)` Tries to load the class from the current thread's context class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderUtility

    public ClassLoaderUtility()

Method Detail

### loadClass

    public static java.lang.Class loadClass(java.lang.String classname,
                                            java.lang.Class clazz)
                                     throws java.lang.ClassNotFoundException

  Tries to load the class from the current thread's context class loader. If not successful, tries to load the class from the current instance.

  Parameters:
    `classname` - Desired class.
    `clazz` - Class object used to obtain a class loader if no context class loader is available.
  Returns:
    Class, or null on failure.
  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class loadClass(java.lang.Class clazz,
                                            java.lang.String classname)
                                     throws java.lang.ClassNotFoundException

  Tries to load the class from the passed class' classloader, then current thread's context class loader.

  Parameters:
    `clazz` - Class object used to obtain a class loader if no context class loader is available.
    `classname` - Desired class.
  Returns:
    Class, or null on failure.
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.